#!/usr/bin/env perl
#
#  Copyright 1996-2009 Jim Pirzyk / pirzyk.org
#  All rights reserved.
#
#  test.pl - basic make test script
#

use Test;

for my $dir ( 'lib/Security', 'lib/Security/OS', 'lib/Security/util' ) {
	push @modules, glob ( $dir . '/*.pm' );
}

plan tests => scalar @modules;

foreach my $module  ( @modules ) {
	$module =~ s,^lib/,,;
	$module =~ s,/,::,g;
	$module =~ s/.pm$//;

	eval "use $module ();";
	ok( $@, "", "Cannot load $module module: ($@)" );
}
